json-c 0.11

- Main Page
- Related Pages
- Data Structures
- Files

- File List
- Globals

Macros
bits.h File Reference

## Macros
#define | json_min(a, b) ((a) < (b) ? (a) : (b))
#define | json_max(a, b) ((a) > (b) ? (a) : (b))
#define | hexdigit(x) (((x) <= '9') ? (x) - '0' : ((x) & 7) + 9)
#define | error_ptr(error) ((void*)error)
#define | error_description(error) (json_tokener_errors[error])
#define | is_error(ptr) (ptr == NULL)

## Macro Definition Documentation

#define error_description | ( |  | error | ) | (json_tokener_errors[error])

#define error_ptr | ( |  | error | ) | ((void*)error)

#define hexdigit | ( |  | x | ) | (((x) <= '9') ? (x) - '0' : ((x) & 7) + 9)

#define is_error | ( |  | ptr | ) | (ptr == NULL)

#define json_max | ( |  | a,
|  |  | b
| ) |  | ((a) > (b) ? (a) : (b))

#define json_min | ( |  | a,
|  |  | b
| ) |  | ((a) < (b) ? (a) : (b))